:root {
  --main-purple: #4e3882;
  --grey-close: #f3f3f4;

  /* Colores para los gradientes */
  --dark-purple: #2f1d6a;
  --light-purple: #795ca5;

  --dark-blue: #0e49a3;
  --light-blue: #40a3f3;

  --dark-green: #095d4b;
  --light-green: #02c199;

  --linkedin-blue: #0966c2;

  --clip-path-angle: 97%;
}

/* utilities */
.container-fluid {
  max-width: 1434px;
}

.gap-1 {
  gap: 0.5rem;
}

.rounded-top-20 {
  border-radius: 20px 20px 0 0;
}

.rounded-10 {
  border-radius: 10px;
}

.btn__linkedin {
  background-color: var(--linkedin-blue);
}

/* .bg-light-purple {
  background-color: var(--light-purple);
}
.bg-light-blue {
  background-color: var(--light-blue);
}
.bg-light-green {
  background-color: var(--light-green);
}

.dark-purple {
  color: var(--dark-purple);
}
.dark-blue {
  color: var(--dark-blue);
}
.dark-green {
  color: var(--dark-green);
} */

.purple-gradient {
  --dark-gradient-color: var(--dark-purple);
  --light-gradient-color: var(--light-purple);
}

.blue-gradient {
  --dark-gradient-color: var(--dark-blue);
  --light-gradient-color: var(--light-blue);
}

.green-gradient {
  --dark-gradient-color: var(--dark-green);
  --light-gradient-color: var(--light-green);
}

.purple-gradient,
.blue-gradient,
.green-gradient {
  background: linear-gradient(
    135deg,
    var(--dark-gradient-color) 0%,
    var(--light-gradient-color) 100%
  );
}

.custom-light-bg {
  background-color: var(--light-gradient-color);
}

.dark-purple {
  color: var(--dark-purple);
}
.dark-blue {
  color: var(--dark-blue);
}
.dark-green {
  color: var(--dark-green);
}

.navbar-consultoria {
  --purple-color: #944e8e;
  --other-color: #4c3883;
  background: #4c3883;
  background: linear-gradient(
    120deg,
    var(--purple-color) 0%,
    var(--other-color) 35%
  );
}

.navbar-consultoria .nav-link {
  --font-navbar-consultoria: 1.25rem;
  font-size: var(--font-navbar-consultoria);
  font-style: italic;
  color: white !important;
  border-bottom-width: 4px;
  border-bottom-color: transparent;
  border-left-color: transparent;
}

@media (min-width: 768px) {
  .navbar-consultoria .nav-link {
    --font-navbar-consultoria: 1.35rem;
  }
}

@media (min-width: 1000px) {
  .navbar-consultoria .nav-link {
    --font-navbar-consultoria: 1.5rem;
  }
}

/* .navbar-consultoria .nav-link:hover { */
.nav-link__active,
.nav-link:focus,
.nav-link:hover,
.dropdown-item:focus,
.dropdown-item:hover {
  color: violet !important;
  border-left-color: violet !important;
}

@media (min-width: 992px) {
  /* .navbar-consultoria .nav-link:hover { */
  .nav-link__active,
  .nav-link:focus,
  .nav-link:hover,
  .dropdown-item:focus,
  .dropdown-item:hover {
    border-bottom-color: violet !important;
  }
}

.navbar-brand img {
  height: 50px;
}

@media (min-width: 768px) {
  .navbar-brand img {
    height: 60px;
  }
}

@media (min-width: 1024px) {
  .navbar-brand img {
    height: 65px;
  }
}

.separador {
  height: 85px;
}

.fondo-atom {
  --angle: var(--clip-path-angle);
  background-color: var(--main-purple);
  background-image: none;
  background: linear-gradient(20deg, #b069a0 0%, #3c64ad 35%);
  background: linear-gradient(8deg, #b069a0 0%, #3c64ad 50%);
  clip-path: polygon(
    0% var(--angle),
    0% 0%,
    100% 0%,
    100% var(--angle),
    50% 100%
  );
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
}

@media (min-width: 768px) {
  .fondo-atom {
    --angle: 95%;
  }
}

@media (min-width: 1024px) {
  .fondo-atom {
    --angle: 93%;
  }
}

@media (min-width: 1200px) {
  .fondo-atom {
    --angle: 90%;
  }
}

@media (min-width: 1400px) {
  .fondo-atom {
    --angle: 85%;
  }
}

.icono-hand-atom-wrapper {
  grid-area: 1 / 1;
  height: 200px;
}

.header-consultoria {
  max-width: 1200px;
  grid-area: 1 / 1;
  z-index: 1;
}

.icono-hand-atom {
  object-fit: cover;
  object-position: bottom;
  /* transform: translateY(-35%); */
}

@media (min-width: 350px) {
  .icono-hand-atom {
    transform: translateY(-10%);
  }
}

@media (min-width: 420px) {
  .icono-hand-atom {
    transform: translateY(-20%);
  }
}

@media (min-width: 768px) {
  .icono-hand-atom {
    transform: translateY(-35%);
  }
}

.header-consultoria__heading {
  font-size: 2.75rem;
  font-weight: 300;
}

.header-consultoria__quote {
  font-size: 1.1rem;
  max-width: 70ch;
}

@media (min-width: 768px) {
  .header-consultoria__heading {
    font-size: 3.3rem;
  }

  .header-consultoria__quote {
    font-size: 1.25rem;
  }
}

@media (min-width: 1024px) {
  .header-consultoria__heading {
    font-size: 4.5rem;
  }

  .header-consultoria__quote {
    font-size: 1.5rem;
  }
}

@media (min-width: 1200px) {
  .header-consultoria__heading {
    font-size: 5.5rem;
  }
}

.section-header__text {
  margin-right: 10px; /* espacio entre texto y línea */
  font-size: 1.75rem;
  font-weight: 500;
  color: #58595b;
}

/* .section-header__text--proyectos {
  color: #1875d1;
}
*/
/* .section-header__text--consultores {
  font-size: 2.25rem;
} */

@media (min-width: 425px) {
  .section-header__text {
    font-size: 2.5rem;
  }
}

/* .section-header::after {
  content: "";
  flex: 1;
  height: 1px;
  background-color: #ccc;
} */

.card-wrapper {
  --card-widht: 286px;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(var(--card-widht), 1fr));
  gap: 1rem;
}

@media (min-width: 425px) {
  .card-wrapper {
    --card-widht: 332px;
  }
}

.card,
.model-content-border {
  --card-border: #e7e7f0;
  border: 2px solid var(--card-border);
}

.model-content-border {
  border-width: 1px;
}

.card-project-icon {
  font-size: 4rem;
}

@media (min-width: 1024px) {
  .card-project-icon {
    font-size: 5rem;
  }
}

.card-project-categoty {
  color: #8f8fba;
  font-weight: 500;
}

.card-project-title {
  color: #1a1a2e;
}

.card-project-items {
  color: #797999;
  font-weight: 500;
  font-size: 1.025rem;
}

.card-project-button {
  color: #7b5da6;
  font-weight: 600;
}

.card-consultor {
  --card-consultor-image-border: #7c6da2;
}

.card-consultor-header {
  gap: 0.5rem;
}

@media (min-width: 1024px) {
  .card-consultor-header {
    gap: 0.75rem;
  }
}

.card-consultor__image {
  border: 5px solid var(--card-consultor-image-border);
}

.card-consultor__name {
  font-size: 1.125rem;
}

@media (min-width: 1024px) {
  .card-consultor__name {
    font-size: 1.25rem;
  }
}

.card-consultor__role {
  font-size: 0.85rem;
}

.badges {
  gap: 0.25rem;
}

.first-skill {
  border: 2px solid #cdcbf5;
  background-color: #edecfe;
  color: #534ab6;
}

.second-skill {
  border: 2px solid #9ee1cb;
  background-color: #e1f5ed;
  color: #0e6e56;
}

.third-skill {
  border: 2px solid #f5c3b3;
  background-color: #faece7;
  color: #993c1c;
}

.card-consultor__content-article {
  border-top: 2px solid var(--card-border);
  gap: 0.5rem;
}

.card-consultor__content-title {
  font-size: 0.85rem;
  flex: 1 1 45%;
  color: #797999;
}

.card-consultor__content-items {
  font-size: 0.85rem;
  flex: 1 1 75%;
}

.project-items-wrapper {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1rem;
}

@media (min-width: 1200px) {
  .project-items-wrapper {
    grid-template-columns: 1fr 1fr;
  }
}

.project-detail-modal-header {
  flex-direction: column;
  gap: 1rem;
}

@media (min-width: 1200px) {
  .project-detail-modal-header {
    flex-direction: row;
  }
}

.project-detail-modal-header__icon {
  font-size: 1.75rem;
  width: 54px;
  height: 54px;
}

.modal-items {
  font-weight: 300;
  font-size: 1.1rem;
  color: #bdd4cf;
}

.project-detail-description {
  font-size: 1.1rem;
  color: #4c4a6b;
}

.item-detail--purple {
  --item-color: var(--dark-purple);
}
.item-detail--blue {
  --item-color: var(--dark-blue);
}
.item-detail--green {
  --item-color: var(--dark-green);
}

.item-detail {
  border-left: 4px solid var(--item-color);
}

.item-detail-title {
  color: var(--item-color);
}

.item-detail-content {
  color: #6c6a8a;
}

.bg-item-detail {
  background-color: #f0f5ff;
}

.modal-header .modal-close {
  padding: 0.25rem;
  padding-inline: 0.5rem;
  background-color: var(--grey-close);
  opacity: 1;
}

.modal-close__text {
  vertical-align: text-top;
  line-height: 1;
  color: var(--light-gradient-color);
}

.footer-consultoria {
  --angle: 3%;
  font-size: 1.25rem;
  background: #b069a0;
  background: linear-gradient(90deg, #b069a0, #75278e);
  clip-path: polygon(100% 0%, 100% 100%, 0% 100%, 0% 0%, 50% var(--angle));
}

@media (min-width: 768px) {
  .footer-consultoria {
    --angle: 5%;
  }
}

@media (min-width: 1024px) {
  .footer-consultoria {
    --angle: 7%;
  }
}

@media (min-width: 1200px) {
  .footer-consultoria {
    --angle: 10%;
    font-size: 1.5rem;
  }
}

@media (min-width: 1400px) {
  .footer-consultoria {
    --angle: 15%;
  }
}
